Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatInviteLinks

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatInviteLinks>
it.tdlight.jni.TdApi.GetChatInviteLinks

Enclosing class:
  TdApi

public static final class TdApi.GetChatInviteLinks extends TdApi.Function<TdApi.ChatInviteLinks>
Returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLinks`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`creatorUserId`
User identifier of a chat administrator.
`boolean`
`isRevoked`
Pass true if revoked links needs to be returned instead of active or expired.
`int`
`limit`
The maximum number of invite links to return; up to 100.
`int`
`offsetDate`
Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.
`String`
`offsetInviteLink`
Invite link starting after which to return invite links; use empty string to get results from the beginning.

## Constructor Summary

Constructors
Constructor
Description
`GetChatInviteLinks()`
Returns invite links for a chat created by specified administrator.
`GetChatInviteLinks(long chatId, long creatorUserId, boolean isRevoked, int offsetDate, String offsetInviteLink, int limit)`
Returns invite links for a chat created by specified administrator.
`GetChatInviteLinks(DataInput input)`
Returns invite links for a chat created by specified administrator.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### creatorUserId

public long creatorUserId
User identifier of a chat administrator. Must be an identifier of the current user for non-owner.

### isRevoked

public boolean isRevoked
Pass true if revoked links needs to be returned instead of active or expired.

### offsetDate

public int offsetDate
Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.

### offsetInviteLink

public String offsetInviteLink
Invite link starting after which to return invite links; use empty string to get results from the beginning.

### limit

public int limit
The maximum number of invite links to return; up to 100.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetChatInviteLinks

public GetChatInviteLinks()
Returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLinks`

### GetChatInviteLinks

public GetChatInviteLinks(long chatId, long creatorUserId, boolean isRevoked, int offsetDate, String offsetInviteLink, int limit)
Returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLinks`

Parameters:
  `chatId` - long Chat identifier.
  `creatorUserId` - long User identifier of a chat administrator. Must be an identifier of the current user for non-owner.
  `isRevoked` - boolean Pass true if revoked links needs to be returned instead of active or expired.
  `offsetDate` - int Creation date of an invite link starting after which to return invite links; use 0 to get results from the beginning.
  `offsetInviteLink` - String Invite link starting after which to return invite links; use empty string to get results from the beginning.
  `limit` - int The maximum number of invite links to return; up to 100.

### GetChatInviteLinks

public GetChatInviteLinks(DataInput input) throws IOException
Returns invite links for a chat created by specified administrator. Requires administrator privileges and canInviteUsers right in the chat to get own links and owner privileges to get other links.

Returns `ChatInviteLinks`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`